<?php
/**
 * VW Painter: Block Patterns
 *
 * @package VW Painter
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-painter',
		array( 'label' => __( 'VW Painter', 'vw-painter' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-painter/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-painter' ),
			'categories' => array( 'vw-painter' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":8817,\"dimRatio\":20,\"align\":\"full\",\"className\":\"main-slider\"} -->\n<div class=\"wp-block-cover alignfull has-background-dim-20 has-background-dim main-slider\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png)\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"mx-5 px-lg-5\"} -->\n<div class=\"wp-block-columns alignwide mx-5 px-lg-5\"><!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"42%\",\"className\":\"slider-box pe-3\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center slider-box pe-3\" style=\"flex-basis:42%\"><!-- wp:heading {\"textAlign\":\"right\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":40}}} -->\n<h1 class=\"has-text-align-right\" style=\"font-size:40px\">LOREM IPSUM DOLOR SIT AMET</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"className\":\"text-right\",\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<p class=\"has-text-align-right text-right\" style=\"font-size:15px\">&nbsp;Lorem Ipsum has been the industrys standard. &nbsp;Lorem Ipsum has been the industrys .</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"right\"} -->\n<div class=\"wp-block-buttons alignright\"><!-- wp:button {\"borderRadius\":0} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link no-border-radius\">GET A QUET NOW</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-painter/services-section',
		array(
			'title'      => __( 'Services Section', 'vw-painter' ),
			'categories' => array( 'vw-painter' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/serv-background-image.png\",\"id\":8819,\"dimRatio\":90,\"align\":\"full\",\"className\":\"is-light services-sec pt-5\"} -->\n<div class=\"wp-block-cover alignfull is-light services-sec pt-5\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-8819\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/serv-background-image.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"serv-title\"} -->\n<div class=\"wp-block-columns alignwide serv-title\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"50%\",\"className\":\"serv-title-content\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center serv-title-content\" style=\"flex-basis:50%\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":30},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color has-link-color\" style=\"font-size:30px\">LOREM IPSUM</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":14},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"className\":\"text-center\"} -->\n<p class=\"has-text-align-center text-center has-white-color has-text-color has-link-color\" style=\"font-size:14px\">Lorem Ipsum has been the industrys standard.&nbsp; Lorem Ipsum has been the industrys standard.&nbsp;Lorem Ipsum</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"className\":\"services-boxes mx-3 px-lg-5\"} -->\n<div class=\"wp-block-columns alignwide services-boxes mx-3 px-lg-5\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"center\",\"id\":8821,\"sizeSlug\":\"large\",\"linkDestination\":\"media\",\"className\":\"is-resized\"} -->\n<figure class=\"wp-block-image aligncenter size-large is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services-1.png\" alt=\"\" class=\"wp-image-8821\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"className\":\"mb-2\",\"fontSize\":\"medium\"} -->\n<h3 class=\"wp-block-heading has-text-align-center mb-2 has-white-color has-text-color has-link-color has-medium-font-size\">SERVICE TITLE 1</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":14},\"color\":{\"text\":\"#c2c1c2\"}},\"className\":\"text-center mb-2\"} -->\n<p class=\"has-text-align-center text-center mb-2 has-text-color\" style=\"color:#c2c1c2;font-size:14px\">&nbsp;Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"mt-0\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons mt-0\"><!-- wp:button {\"textColor\":\"white\"} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\">View More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"center\",\"id\":8827,\"sizeSlug\":\"large\",\"linkDestination\":\"media\",\"className\":\"is-resized\"} -->\n<figure class=\"wp-block-image aligncenter size-large is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services-2.png\" alt=\"\" class=\"wp-image-8827\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"className\":\"mb-2\",\"fontSize\":\"medium\"} -->\n<h3 class=\"wp-block-heading has-text-align-center mb-2 has-white-color has-text-color has-link-color has-medium-font-size\">SERVICE TITLE 2</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":14},\"color\":{\"text\":\"#c2c1c2\"}},\"className\":\"text-center mb-2\"} -->\n<p class=\"has-text-align-center text-center mb-2 has-text-color\" style=\"color:#c2c1c2;font-size:14px\">&nbsp;Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"mt-0\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons mt-0\"><!-- wp:button {\"textColor\":\"white\"} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\">View More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"center\",\"id\":8829,\"sizeSlug\":\"large\",\"linkDestination\":\"media\",\"className\":\"is-resized\"} -->\n<figure class=\"wp-block-image aligncenter size-large is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services-3.png\" alt=\"\" class=\"wp-image-8829\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\",\"className\":\"mb-2\",\"fontSize\":\"medium\"} -->\n<h3 class=\"wp-block-heading has-text-align-center mb-2 has-white-color has-text-color has-link-color has-medium-font-size\">SERVICE TITLE 3</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":14},\"color\":{\"text\":\"#c2c1c2\"}},\"className\":\"text-center mb-2\"} -->\n<p class=\"has-text-align-center text-center mb-2 has-text-color\" style=\"color:#c2c1c2;font-size:14px\">&nbsp;Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"mt-0\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons mt-0\"><!-- wp:button {\"textColor\":\"white\"} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\">View More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);
}